## haskell-data-reify 0.6.3

=== debian/changelog ===
haskell-data-reify (0.6.3-6) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 05 Oct 2024 09:15:20 +0300

haskell-data-reify (0.6.3-5) unstable; urgency=medium

  * Fix Build-Depends.

 -- Clint Adams <clint@debian.org>  Tue, 12 Sep 2023 13:53:52 -0400

haskell-data-reify (0.6.3-4) unstable; urgency=medium

  * Patch for newer dependencies.

 -- Clint Adams <clint@debian.org>  Mon, 11 Sep 2023 14:06:02 -0400

haskell-data-reify (0.6.3-3) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2

  [ Clint Adams ]
  * Sourceful upload for GHC 9.4

 -- Clint Adams <clint@debian.org>  Mon, 11 Sep 2023 13:24:30 -0400

haskell-data-reify (0.6.3-2) unstable; urgency=medium

  * Post-NEW source-only upload

 -- Scott Talbert <swt@techie.net>  Sat, 30 Jul 2022 20:52:04 -0400

haskell-data-reify (0.6.3-1) unstable; urgency=low

  * Initial release

 -- Scott Talbert <swt@techie.net>  Thu, 28 Jul 2022 15:59:13 -0400
