## haskell-data-reify 0.6.4

=== debian/changelog ===
haskell-data-reify (0.6.4-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Ilias Tsitsimpis ]
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 26 Jan 2026 23:12:35 +0200
