=== debian/control ===
--- 
+++ 
@@ -3,18 +3,15 @@
 Uploaders: Scott Talbert <swt@techie.net>
 Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
- cdbs,
+ dh-sequence-haskell,
  ghc,
  ghc-prof,
  libghc-hashable-dev,
  libghc-hashable-prof,
  libghc-unordered-containers-dev,
  libghc-unordered-containers-prof,
- libghc-base-compat-dev (>= 0.11),
- libghc-base-compat-dev (<< 0.14),
- libghc-base-compat-prof,
  libghc-hspec-dev (>= 2),
  libghc-hspec-dev (<< 3),
  libghc-hspec-prof,
